xbelld(1)

NAME
xbelld - X daemon that performs an action every time the bell is rung

SYNOPSIS
xbelld [-bDT] [-t delay] [-F freq] [-v vol] [-d duration]
xbelld [-bDTc] [-t delay] -f file
xbelld [-bDT] [-t delay] -e prog...
xbelld -h

DESCRIPTION

xbelld is a tiny utility to aid people who either don't like the default PC speaker beep, or (like me) use an ALSA driver that doesn't yet have support for the PC speaker (e.g. the AD1981 chipset in the snd_hda_intel driver, as of 2008-04-06).

xbelld performs a given action every time the X bell is rung. The actions xbelld can currently perform include running a specified program, emulating the PC speaker beep using your sound card (default), or playing a PCM encoded WAVE file. The actions involving the sound card are only available if xbelld is compiled with ALSA support. To convert your favourite files to a PCM encoded WAVE file, use mplayer -vo null -vc null -ao pcm:fast:file=out.wav audio_file

xbelld can also throttle the bell if it is rung too often (e.g. some terminal program goes crazy), and/or disable the audible bell (so that you don't get the annoying PC speaker beep in addition to your xbelld action).

OPTIONS

  Common Options

-b  Run in background

-D  Don't disable audio bell on startup. The default is to disable the audio bell. That way if you have a working PC speaker, you won't hear two beeps. You can always enable / disable the bell using xset(1)

-t interval
    Interval (ms) during which subsequent bells are throttled.

-T  Ring a test bell on startup. If you're experimenting with your PC speaker values, then you can try something like pkill xbelld; xbelld -TF400 -v100 -d100 & and play with the numbers until you're satisfied with the sound.

-h  Print help and exit

  Options to play an audio file

-c  Cache audio file in memory (less lags, especially when the disk is busy).

-f file
    Name of file to play when bell is rung. The file must be a PCM encoded wave file.

  Options to produce a beep

The default values of these options are from the bell parameters of the server. (These can be set via xset(1) for instance). These options are only read on startup, and not every time the bell is played. So if you change your bell parameters, you should restart xbelld for the change to take effect.

-C  Play a complex (more mellow) wave form instead of a plain sine wave.

-d duration
    Duration of the beep in milliseconds.

-F freq
    Frequency of the beep in hertz.

-v vol
    Volume of the beep (0 -- 100).

  Options to execute an external command

-e cmd...
    Command to execute when bell is rung. This must be last option.

SEE ALSO

http://code.google.com/p/xbelld/

AUTHOR
Gautam Iyer <gi1242+xbelld@NoSPAM.com> (replace NoSPAM with gmail).